<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id) || $user['level'] < 1) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array($result);
		else go(URL);
}
else go(URL);

if ($id == $user_id && $window == true) exit;
else if ($id == $user_id && $window == false) go(URL);



if (!empty($_GET['ban']) && $user['level'] > $arr_user['level'] && $arr_user['ban'] == 0)
{
	if (mysql_query("UPDATE `users` SET `ban` = 1 WHERE `id` = '".$id."'") == true) go(URL.'/?id='.$id);

}
if (!empty($_GET['level']) && $user['level'] > $arr_user['level'] && $arr_user['ban'] == 0)
{
	if (mysql_query("UPDATE `users` SET `level` = 2 WHERE `id` = '".$id."'") == true) go(URL.'/?id='.$id);

}



$title = $arr_user['name'].' '.$arr_user['surname'].' :: '.lang('Информация','Інформація');
if ($window == false) require_once '../incfiles/head.php';

echo '<div class="title"><div class="for_pc right"><a href="" onclick="Window.Close(); return false"><img src="'.URL.'/design/img/del.png"/></a></div><a class="title_a_hover" href="'.URL.'/?id='.$id.'" onclick="Page.Go(this.href); return false">'.$arr_user['name'].' '.$arr_user['surname'].'</a></div>';

$feik = mysql_query("SELECT * FROM `users` WHERE `id` != '".$id."' AND `ip` = '".$arr_user['ip']."' AND `ua` = '".$arr_user['ua']."' ORDER by `regtime` DESC");
echo '<div class="block"><b>'.lang('Возможные фэйки','Можливі фейки').'</b>: <a class="title_a_hover" id="bg_red" href="'.URL.'/adm/user.php?id='.$id.'" onclick="Title.Open(); return false">'.mysql_num_rows($feik).' <img src="'.URL.'/design/img/title_menu.png"/></a></div>
<div id="title_menu">';
while ($arr = mysql_fetch_array($feik)) echo '<a href="'.URL.'/?id='.$arr['id'].'" onclick="Page.Go(this.href); return false"><div class="block2">'.user_name2($arr['id']).'<br/>'.lang('Дата регистрации','Дата реєстрації').': '.vtime($arr['regtime']).'</a></div>';
echo '</div>
<div class="block"><b>IP</b>: '.$arr_user['ip'].'</div>
<div class="block"><b>UA</b>: '.$arr_user['ua'].'</div>';

echo '<p><center><a class="button" id="bg_red" style="max-width:90%;" href="'.URL.'/adm/user.php?id='.$id.'&ban='.$id.'">'.lang('Заблокировать страницу','Заблокувати сторінку').'</a></center></p>';
echo '<p><center><a class="button" id="bg_red" style="max-width:90%;" href="'.URL.'/adm/user.php?id='.$id.'&level='.$id.'">'.lang('Дать модератора','Назначити модератором').'</a></center></p>';


require_once '../incfiles/foot.php';

?>